Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ArrayIterator

    java.lang.Object
      org.codehaus.groovy.util.ArrayIterator

All Implemented Interfaces:
  java.util.Iterator

    public class ArrayIterator
    extends java.lang.Object

Constructor Summary
`ArrayIterator(java.lang.Object[] array)`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ArrayIterator

    public ArrayIterator(java.lang.Object[] array)

Method Detail

### hasNext

    public boolean hasNext()

### next

    @SuppressWarnings("unchecked")
    public java.lang.Object next()

### remove

    public void remove()

Groovy Documentation